org.keycloak.credential

## Class WebAuthnCredentialModelInput

- java.lang.Object
- - org.keycloak.credential.WebAuthnCredentialModelInput

- All Implemented Interfaces:
    CredentialInput

      public class WebAuthnCredentialModelInput
      extends Object
      implements CredentialInput

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `WebAuthnCredentialModelInput(String credentialType)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `com.webauthn4j.data.attestation.statement.AttestationStatement` | `getAttestationStatement()`
    `String` | `getAttestationStatementFormat()`
    `com.webauthn4j.data.attestation.authenticator.AttestedCredentialData` | `getAttestedCredentialData()`
    `com.webauthn4j.data.AuthenticationParameters` | `getAuthenticationParameters()`
    `com.webauthn4j.data.AuthenticationRequest` | `getAuthenticationRequest()`
    `String` | `getChallengeResponse()`
    `long` | `getCount()`
    `String` | `getCredentialDBId()`
    `String` | `getCredentialId()`
    `String` | `getCredentialType()`
    `String` | `getType()`
    `void` | `setAttestationStatement(com.webauthn4j.data.attestation.statement.AttestationStatement attestationStatement)`
    `void` | `setAttestationStatementFormat(String attestationStatementFormat)`
    `void` | `setAttestedCredentialData(com.webauthn4j.data.attestation.authenticator.AttestedCredentialData attestedCredentialData)`
    `void` | `setAuthenticationParameters(com.webauthn4j.data.AuthenticationParameters authenticationParameters)`
    `void` | `setAuthenticationRequest(com.webauthn4j.data.AuthenticationRequest authenticationRequest)`
    `void` | `setCount(long count)`
    `void` | `setCredentialDBId(String credentialDBId)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### WebAuthnCredentialModelInput

          public WebAuthnCredentialModelInput(String credentialType)

  - ### Method Detail

    - #### getCredentialId

          public String getCredentialId()

      Specified by:
        `getCredentialId` in interface `CredentialInput`

    - #### getChallengeResponse

          public String getChallengeResponse()

      Specified by:
        `getChallengeResponse` in interface `CredentialInput`

    - #### getType

          public String getType()

      Specified by:
        `getType` in interface `CredentialInput`

    - #### getAttestedCredentialData

          public com.webauthn4j.data.attestation.authenticator.AttestedCredentialData getAttestedCredentialData()

    - #### getAttestationStatement

          public com.webauthn4j.data.attestation.statement.AttestationStatement getAttestationStatement()

    - #### getCount

          public long getCount()

    - #### getAuthenticationParameters

          public com.webauthn4j.data.AuthenticationParameters getAuthenticationParameters()

    - #### setAuthenticationParameters

          public void setAuthenticationParameters(com.webauthn4j.data.AuthenticationParameters authenticationParameters)

    - #### getAuthenticationRequest

          public com.webauthn4j.data.AuthenticationRequest getAuthenticationRequest()

    - #### setAuthenticationRequest

          public void setAuthenticationRequest(com.webauthn4j.data.AuthenticationRequest authenticationRequest)

    - #### setAttestedCredentialData

          public void setAttestedCredentialData(com.webauthn4j.data.attestation.authenticator.AttestedCredentialData attestedCredentialData)

    - #### setAttestationStatement

          public void setAttestationStatement(com.webauthn4j.data.attestation.statement.AttestationStatement attestationStatement)

    - #### setCount

          public void setCount(long count)

    - #### getCredentialDBId

          public String getCredentialDBId()

    - #### setCredentialDBId

          public void setCredentialDBId(String credentialDBId)

    - #### getCredentialType

          public String getCredentialType()

    - #### getAttestationStatementFormat

          public String getAttestationStatementFormat()

    - #### setAttestationStatementFormat

          public void setAttestationStatementFormat(String attestationStatementFormat)

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2020 JBoss by Red Hat. All rights reserved.